basePath: /
definitions:
  entities.AddApi:
    properties:
      status:
        type: boolean
      todo:
        type: string
    type: object
  entities.DeleteApi:
    properties:
      todo:
        type: string
    type: object
  entities.DeleteIdApi:
    properties:
      id:
        type: integer
    type: object
  entities.Todo:
    properties:
      id:
        type: integer
      status:
        type: boolean
      todo:
        type: string
    type: object
  entities.UpdateApi:
    properties:
      id:
        type: integer
      status:
        type: boolean
    type: object
host: localhost:3000
info:
  contact:
    email: dtduc.contact@gmail.com
    name: Duc Dinh
    url: http://www.swagger.io/support
  description: This is a API document for Todo.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Todo API
  version: 1.0.0
paths:
  /add:
    post:
      consumes:
      - application/json
      description: Add todo
      parameters:
      - description: Add Todo ID
        in: body
        name: Add
        required: true
        schema:
          $ref: '#/definitions/entities.AddApi'
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/entities.Todo'
      summary: Add todo
      tags:
      - todos
  /delete:
    delete:
      consumes:
      - application/json
      description: Delete todo by Todo name
      parameters:
      - description: Delete by Todo name
        in: body
        name: Update
        required: true
        schema:
          $ref: '#/definitions/entities.DeleteApi'
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/entities.Todo'
      summary: Delete todo by Todo name
      tags:
      - todos
  /deleteid:
    delete:
      consumes:
      - application/json
      description: Delete todo by ID
      parameters:
      - description: Delete Todo by ID
        in: body
        name: Delete
        required: true
        schema:
          $ref: '#/definitions/entities.DeleteIdApi'
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/entities.Todo'
      summary: Delete todo by ID
      tags:
      - todos
  /list:
    get:
      consumes:
      - application/json
      description: List all the todo task
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/entities.Todo'
      summary: List all todos
      tags:
      - todos
  /list/{id}:
    get:
      consumes:
      - application/json
      description: List todo by ID
      parameters:
      - description: List Todo ID
        in: path
        name: id
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/entities.Todo'
      summary: List todo by ID
      tags:
      - todos
  /update:
    put:
      consumes:
      - application/json
      description: Update todo
      parameters:
      - description: Update Todo by ID
        in: body
        name: Update
        required: true
        schema:
          $ref: '#/definitions/entities.UpdateApi'
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            $ref: '#/definitions/entities.Todo'
      summary: Update todo
      tags:
      - todos
swagger: "2.0"
